"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const chai_1 = __importDefault(require("chai"));
const chai_as_promised_1 = __importDefault(require("chai-as-promised"));
const yarn = __importStar(require("../../../src/package-managers/yarn"));
chai_1.default.should();
chai_1.default.use(chai_as_promised_1.default);
process.env.NCU_TESTS = 'true';
// append the local node_modules bin directory to process.env.PATH so local yarn is used during tests
const localBin = path_1.default.resolve(__dirname.replace('build/', ''), '../../../node_modules/.bin');
const localYarnSpawnOptions = {
    env: {
        ...process.env,
        PATH: `${process.env.PATH}:${localBin}`,
    }
};
describe('yarn', function () {
    it('list', async () => {
        const testDir = path_1.default.join(__dirname, 'default');
        const version = await yarn.latest('chalk', '', { cwd: testDir });
        parseInt(version, 10).should.be.above(3);
    });
    it('latest', async () => {
        const testDir = path_1.default.join(__dirname, 'default');
        const version = await yarn.latest('chalk', '', { cwd: testDir });
        parseInt(version, 10).should.be.above(3);
    });
    it('"No lockfile" error should be thrown on list command when there is no lockfile', async () => {
        const testDir = path_1.default.join(__dirname, 'nolockfile');
        const lockFileErrorMessage = 'No lockfile in this directory. Run `yarn install` to generate one.';
        await yarn.list({ cwd: testDir }, localYarnSpawnOptions)
            .should.eventually.be.rejectedWith(lockFileErrorMessage);
    });
});
//# sourceMappingURL=index.js.map